Debian Bug report logs - #600225
Allow change $NBOFLASTUPDATELOOKUPTOSAVE via CLI args

version graph

Package: awstats; Maintainer for awstats is Sergey B Kirpichev <skirpichev@gmail.com>; Source for awstats is src:awstats.

Reported by: Josip Rodin <joy@debbugs.entuzijast.net>

Date: Thu, 14 Oct 2010 19:39:02 UTC

Severity: normal

Found in version awstats/6.7.dfsg-5.1

Fixed in version awstats/7.0~dfsg-2

Done: Sergey B Kirpichev <skirpichev@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://sourceforge.net/tracker/?func=detail&aid=3216705&group_id=13764&atid=113764

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#600225; Package awstats. (Thu, 14 Oct 2010 19:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@debbugs.entuzijast.net>:
New Bug report received and forwarded. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. (Thu, 14 Oct 2010 19:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@debbugs.entuzijast.net>
To: submit@bugs.debian.org
Subject: constants section should be more easily and consistently editable by admin
Date: Thu, 14 Oct 2010 21:36:09 +0200
Package: awstats
Version: 6.7.dfsg-5.1

Hi,

I came across this while analyzing how to optimize AWStats DNS lookups.
The script contains:

$NBOFLASTUPDATELOOKUPTOSAVE=500;
$LIMITFLUSH=5000;

Yet, @AllowedCLIArgs and later parsing includes only 'limitflush', but
nothing for the lookups to save.

That whole constants section and the QueryString stuff seems like the script
is geared a lot towards remote CGI usage, but not really toward CLI usage.
I don't want to have to dpkg-divert the entire script just to change one
silly variable.

Please fix this. TIA.

-- 
     2. That which causes joy or happiness.




Changed Bug title to 'Allow change $NBOFLASTUPDATELOOKUPTOSAVE via CLI args' from 'constants section should be more easily and consistently editable by admin' Request was from Sergey B Kirpichev <skirpichev@gmail.com> to control@bugs.debian.org. (Wed, 16 Mar 2011 16:27:06 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://sourceforge.net/tracker/?func=detail&aid=3216705&group_id=13764&atid=113764'. Request was from Sergey B Kirpichev <skirpichev@gmail.com> to control@bugs.debian.org. (Wed, 16 Mar 2011 16:27:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Sergey B Kirpichev <skirpichev@gmail.com> to control@bugs.debian.org. (Wed, 16 Mar 2011 16:27:07 GMT) Full text and rfc822 format available.

Message sent on to Josip Rodin <joy@debbugs.entuzijast.net>:
Bug#600225. (Wed, 16 Mar 2011 16:27:12 GMT) Full text and rfc822 format available.

Message #14 received at 600225-submitter@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: 600225-submitter@bugs.debian.org
Subject: Re: constants section should be more easily and consistently editable
Date: Wed, 16 Mar 2011 19:22:06 +0300
retitle 600225 Allow change $NBOFLASTUPDATELOOKUPTOSAVE via CLI args
forwarded 600225 http://sourceforge.net/tracker/?func=detail&aid=3216705&group_id=13764&atid=113764
tag 600225 +pending
thanks

Hello,

We have patch
http://git.debian.org/?p=collab-maint/awstats.git;a=blob;f=debian/patches/2002_nboflastupdatelookuptosave.patch
Hope, this solves your problem.

I've forwarded this bug to upstream too and retitled it accordingly.




Reply sent to Sergey B Kirpichev <skirpichev@gmail.com>:
You have taken responsibility. (Wed, 06 Apr 2011 00:03:12 GMT) Full text and rfc822 format available.

Notification sent to Josip Rodin <joy@debbugs.entuzijast.net>:
Bug acknowledged by developer. (Wed, 06 Apr 2011 00:03:14 GMT) Full text and rfc822 format available.

Message #19 received at 600225-close@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: 600225-close@bugs.debian.org
Subject: Bug#600225: fixed in awstats 7.0~dfsg-2
Date: Wed, 06 Apr 2011 00:02:11 +0000
Source: awstats
Source-Version: 7.0~dfsg-2

We believe that the bug you reported is fixed in the latest version of
awstats, which is due to be installed in the Debian FTP archive:

awstats_7.0~dfsg-2.debian.tar.gz
  to main/a/awstats/awstats_7.0~dfsg-2.debian.tar.gz
awstats_7.0~dfsg-2.dsc
  to main/a/awstats/awstats_7.0~dfsg-2.dsc
awstats_7.0~dfsg-2_all.deb
  to main/a/awstats/awstats_7.0~dfsg-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600225@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sergey B Kirpichev <skirpichev@gmail.com> (supplier of updated awstats package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 06 Apr 2011 03:31:45 +0400
Source: awstats
Binary: awstats
Architecture: source all
Version: 7.0~dfsg-2
Distribution: unstable
Urgency: low
Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
Changed-By: Sergey B Kirpichev <skirpichev@gmail.com>
Description: 
 awstats    - powerful and featureful web server log analyzer
Closes: 600225 613524
Changes: 
 awstats (7.0~dfsg-2) unstable; urgency=low
 .
   [ Sergey B Kirpichev ]
   * Process the /etc/awstats/awstats.conf file in
     update.sh/buildstatic.sh only if it's exists (Closes: #613524)
   * Allow change $NBOFLASTUPDATELOOKUPTOSAVE via CGI/CLI arguments
     (Closes: #600225).
 .
   [ Jonas Smedegaard ]
   * Remove myself as uploader.  Thanks for all the fish.
 .
   [ Sergey B Kirpichev ]
   * Drop Debian AWStats Team from Maintainer's
Checksums-Sha1: 
 0aa59aee1cc96f5f6daaf433ca080096ef971c6e 1927 awstats_7.0~dfsg-2.dsc
 c6e875a9cf5f851819ad9913e450de8866089dd7 49379 awstats_7.0~dfsg-2.debian.tar.gz
 a7aba009470f599a266c4311324df6018fc7fee0 1070518 awstats_7.0~dfsg-2_all.deb
Checksums-Sha256: 
 a32b1a83464b14dc90da52b1cca4d04e584c5f6ff8620f5d80d7ad2c01263345 1927 awstats_7.0~dfsg-2.dsc
 c896d3289288f876e53269245c52f0014daf4634c8c066be6bc7f59c8ff705b3 49379 awstats_7.0~dfsg-2.debian.tar.gz
 a5f2a765e1d5f17dcd7efbe38c34bff1da1b87f74fa8f9cc6cabf377333a2060 1070518 awstats_7.0~dfsg-2_all.deb
Files: 
 87e692e60b4236cf5b76f8192a6d331e 1927 web optional awstats_7.0~dfsg-2.dsc
 3d505b3b9eb4d1b92b42a52386b4c6ea 49379 web optional awstats_7.0~dfsg-2.debian.tar.gz
 19c8f762850fbd4bd08c8c6a8ab9f69a 1070518 web optional awstats_7.0~dfsg-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNm6xKAAoJEDnJoLZAJirwDhEP/ibxLzY+tABc7wXlee/6grqZ
pi7AwkP+gwok0Luz2SsGj/LvRvCCni5iBCBHSEG7qBXVl2+/5mXPVC/VuKHnMTa8
cXbpc1UGFNNuWTH4o78J8bo2qd7DyolrbC3dRF4tEd76VVBwPYzE9opZ7+Y1tv8h
xgZGFq5/YZuf+/7cIQvoOepKUEzS4krFeMKrFR81lCOFBPzJ1BvZWjjcwF63bzyW
ELAwWhdno8utvYKVVz/0AHuSEjNCgT6ZgfIr3n801QQiBz06TKLWZuLji+Mb075b
QHNpsz8e5UP2GEcj1yrViaSo7pLK5aqZkykoV6LNRDTRWyWzilM4mZQ1WRHhtn+k
YZmnrK14nYX2Az/nGJUOH9zCQqxWRfoH7OVFBLcfJQKnEz/vsTLtauHR1AcNycwh
HStCYl/SssDCjf6EOTxTtjGnDDLIs6twBiDtnJ4SXRrWCRwaYmBymHtzURxSkucs
vzdGnheow/7KrTbS6DFUpm8+TKxsv2r0UnDfmqFEN3nW8ueqNfzniAjKNETpIORR
w7vb0g6p47OnEdtfxtgG7UGaI/GjZP7o0culRaA3LYqpN9Nho+7mm4HU+aRM9fGx
B7DB1cissHr+yqLXwDMvLmDgOk7SjYcLP9Wd+z37iWT2nO74eeq8PpiRktw3J2vH
ui4NZIJ1CfCGTP1jdBy0
=pZpU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 May 2011 07:34:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:03:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.